<%@ page contentType="text/html; charset=Windows-31J" pageEncoding="Windows-31J" %>
<%@ page errorPage="/j2ee/document/error/error.jsp"%>
<%@ page import="com.sun.portal.portletcontainer.invoker.WindowInvokerConstants" %>
<%@ page import="jp.co.intra_mart.foundation.portal.common.PortalConstant" %>
<%@ page import="jp.co.intra_mart.foundation.portal.common.access.PortalAccessManager" %>
<%@ page import="jp.co.intra_mart.foundation.portal.common.portletcontainer.driver.DriverConstants" %>
<%@ page import="jp.co.intra_mart.foundation.portal.utility.Tools" %>
<%@ page import="jp.co.intra_mart.foundation.security.message.MessageManager"%>
<%@ page import="jp.co.intra_mart.framework.base.web.util.HTMLEncoder" %>
<%@ taglib prefix="imart" uri="http://www.intra-mart.co.jp/taglib/core/standard" %>
<%@ taglib prefix="imj2ee" uri="http://www.intra-mart.co.jp/taglib/core/framework" %>
<%@ taglib prefix="imarttag" uri="http://www.intra-mart.co.jp/taglib/foundation/imarttag" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<imj2ee:HelperBean id="portal"
	class="jp.co.intra_mart.foundation.portal.portal.display.service.view.PortalDisplayHelperBean" />

<%
String captionRefresh= MessageManager.getInstance().getMessage("portal.common.caption.refresh");
String portletAddin= MessageManager.getInstance().getMessage("portlet_addin.title");
String portalAddin= MessageManager.getInstance().getMessage("portal_display.portalAddin");
String portalEdit= MessageManager.getInstance().getMessage("portal_display.portalEdit");
String portalDel= MessageManager.getInstance().getMessage("portal_display.portalDel");
String globaltitle= MessageManager.getInstance().getMessage("global_portal.title");
String allMinimize= MessageManager.getInstance().getMessage("portal_display.all_minimize");
String allUnMinimize= MessageManager.getInstance().getMessage("portal_display.all_unminimize");
String viewBack=MessageManager.getInstance().getMessage("portal.common.caption.view_back");
String configtitle=MessageManager.getInstance().getMessage("common.portal.default_config_title");
String previewtitle=MessageManager.getInstance().getMessage("common.portal.preview_title");
String blankView=MessageManager.getInstance().getMessage("portal.common.blank_view");
%>
<c:set var="daoPortal" value='<%= portal.getPortalList() %>' />
<c:set var="portletData" value='<%= portal.getPortletWindowDataList() %>' />
<c:set var="PORTLET_WINDOW_MODE_KEY" value='<%= WindowInvokerConstants.PORTLET_WINDOW_MODE_KEY %>' />
<c:set var="PORTLET_WINDOW_STATE_KEY" value='<%= WindowInvokerConstants.PORTLET_WINDOW_STATE_KEY %>' />
<c:set var="PORTLET_WINDOW_KEY" value='<%= WindowInvokerConstants.PORTLET_WINDOW_KEY %>' />
<c:set var="EMPTY_PORTAL_CD" value='<%= PortalConstant.EMPTY_PORTAL_CD %>'/>
<c:set var="portalUserId" value='<%= portal.getUserInfo().getUserID() %>' />
<c:set var="isManager" value='<%= portal.isLoginGroupManager() %>'/>
<c:set var="isGlobal" value='<%= portal.isGlobal() %>'/>
<c:set var="isConfig" value='<%= portal.isConfig() %>'/>
<c:set var="isGroup" value='<%= portal.isGroup() %>'/>
<c:set var="isMaximized" value='${param[PORTLET_WINDOW_STATE_KEY] == "MAXIMIZED"}'/>
<c:set var="isSetMaximize" value='<%= portal.isSetMaximize() %>'/>
<c:set var="portletMode" value='<%= portal.getPortletMode() %>'/>

<html>
<head>
<c:if test="${isGlobal}">
<title><imart:message id= "global_portal_display.title"></imart:message></title>
<link rel="icon" href="favicon.ico" type="image/x-icon" />
<link rel="Shortcut Icon" type="img/x-icon" href="favicon.ico" />
</c:if>
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Cache-Control" content="no-cache">
<meta http-equiv="Expires" content="0">  
<imarttag:imartDesignCss />
<link rel="stylesheet" type="text/css" href="portal/css/portal.css"/>

<c:set var="list" value="${sessionScope['com.sun.portal.portletcontainer.markupHeaders']}" />
<c:forEach items="${list}" var="portlet">
    <c:out value="${portlet}" escapeXml="false" />
</c:forEach>

<script type="text/javascript" src="csjs/prototype.js"></script>
<script type="text/javascript" src="portal/csjs/im_portal_init.js?im_portal=true"></script>

<script type="text/javascript">
/** 
  *	xh~tO
  */
var im_portal_processing = {};

/** 
  *	xh~
  */
function isDoubleClick(portletCode){
	return im_portal_processing[portletCode];
}

// hbOAhhbvɊւ鏈 -----------------------------------------
	var tab_pane;     // ^uGA
	var portlet_pane; // |[gbgGA
	var portlet_panes = new Array(); // |[gbgGAXgi݂̓ANeBu^û݁j
	var tabList = new Array(); // ^uIuWFNgꗗ

	//Aj[V
	imPortal.Effect = {<c:forEach var='effect' items='${portal.effects}'>${effect}:true,</c:forEach>none : false};

	/**
	 * 
	 */
	function initialize() {
		var portalCd = document.portalControlForm.portalCd.value;
		var isGlobal = document.portalControlForm.isGlobal.value == "true";
		var isConfig = document.portalControlForm.isConfig.value == "true";
		var isManager = document.portalControlForm.isManager.value == "true";
		var isMaximized = document.portalControlForm.isMaximized.value == "true";

		// |[^ꗗǂݍ
		initTabList();

		if (tabList[portalCd]) {
			// ^ũhbOJn
			startDraggableTabPane(portalCd);

			if (isMaximized && !isConfig) {
				// |[gbgő剻
				maximizePortlet();
			}
			// |[gbg̃hbOJn
			startDraggablePortletPane(portalCd);
			// ^ũANeBu
			activateTabPane(portalCd);
		}

		// |[gbgő剻EŏACRLbV
		initImageCache();

		// Slider ̗L
		if (window.sliders && (!isMaximized || isConfig)) {
			// 񕝐ݒ
			//DB񕝂擾
			var width = tabList[portalCd].columnWidth;
			
			//񕝂ł͂Ȃꍇ
			if(width!=""){
				//J}؂Ŕzɂ
				var arrayWidth = width.split(",");
				portlet_pane.setColumns(arrayWidth,'%');
			}
			
			var track = "page_" + portalCd;
			var handles = new Array(); // nh
			for (var i=0; ; i++) {
				var handle = $("slider_control_" + (i+1));
				if (!handle) break;
				handles[i] = handle;
			}
			var updatable = (!isConfig && (!isGlobal || isManager));
			window.sliders.register(track, portlet_pane._columns, handles, onUpdateSliderPositions);
		} else {
			window.sliders = null;
		}

		// |[gbgyC
		setTimeout(initializePortal, 0);

		// onClick ̗L
		Event.stopObserving(document.body, "click", blockEvent);
	}

	/**
	 * ^uꗗIuWFNg쐬
	 */
	function initTabList() {
		<c:forEach var='tab' items='${daoPortal}' varStatus="status">
		var curTab = tabList["<c:out value='${tab.portalCd}'/>"] = {
				portalCd: "<c:out value='${tab.portalCd}'/>",
				isEditable: ${isGlobal || isGroup || tab.editable},
				columnWidth: "<c:out value='${tab.columnWidth}'/>",
				layout: "<c:out value='${tab.layout}'/>",
				owner: "<c:out value='${tab.owner}'/>"
			};
<%--
imPortal.debug("[initTabList]" + curTab.portalCd + ", " + curTab.isEditable + ", " + curTab.columnWidth
	 + ", " + curTab.layout + ", " + curTab.owner
	 + ", " + "${param[PORTLET_WINDOW_MODE_KEY]}" + ", " + "${param[PORTLET_WINDOW_STATE_KEY]}");
--%>
		</c:forEach>
		imPortal.AccessManager = {
			tabEditable : <%= PortalAccessManager.isTabEditable() %>,
			enableOpen : <%= PortalAccessManager.enableOpen() %>,
			editable : <%= PortalAccessManager.isEditable() %>
		};
	}

	/**
	 * |[gbgő剻
	 */
	function maximizePortlet() {
		var widgets = $$(".widget");
		if (!widgets || widgets.length == 0) return;
		var portletCd = $$(".widget")[0].id;
		var widget = new imPortal.Portlet(portletCd);
	    var h = document.body.clientHeight - ((widget._div != widget._titleDiv) ? 22 : 0) - 120;
		$("content_" + portletCd).setStyle({height: h + "px",overflowY: "auto"});
		var children = $("content_" + portletCd).getElementsByTagName('iframe');
        // iframeΉ
        var maxHeight = -1;
        var max;
        for (var i=0; i<children.length; i++) {
            var child = $(children[i]);
            var height = child.getHeight();
            if (maxHeight < height) {
               max = child;
               maxHeight = height;
            }
        }
        if (max) {
           max.setStyle({height: (h - 10) + "px"});
        }
	 }

	/**
	 * ^uyC̃hbOCxgJn
	 */
	function startDraggableTabPane(activePortalCd) {
		var tab_pane_key = "tab_pane1";
		if ($(tab_pane_key)) {
			tab_pane = new imPortal.Portal(".tab_pane", {
				onStart: onTabPaneStartDrag,  // hbOJn
				onChange: onTabPaneChange, // hbOɃ^üʒuύXꂽꍇ
				onUpdate: onTabPaneUpdate, // hbO
//				removeEffect: Effect.Grow, // 폜̉ʌ gpĂȂ
				ghostClassName: "tab_ghost", // Ghostiړgj̃X^C
				draggableClassName: "widget_draggable", // hbOΏۂ̒ǉX^C
				direction: "horizontal", // hbO
				acceptable: acceptPortlet, // hbOIuWFNg̃zo[Cxg
				delay: 200}); // }EX_EhbOJn܂ł̎
			var portalList = $(tab_pane_key).childNodes;
			for (var j=0; j<portalList.length; j++) {
				if (!portalList[j].id) {
					continue;
				}
				if (imPortal.AccessManager.tabEditable || tabList[portalList[j].id].isEditable) {
					tab_pane.add(new imPortal.Portlet(portalList[j].id), undefined, portalList[j].id == activePortalCd);
				}
			}
			tab_pane.activePortal = activePortalCd;
			tab_pane.initRows();
			tab_pane.updateAllColumns();
			tab_pane.onMouseMove = tab_pane.adjustPosition.bindAsEventListener(tab_pane);
		}
	}
	
	/**
	 * ʂ̃^ũ|[gbg^uɃhbOꍇ
	 * @param dragWidget hbO̗vf
	 * @param dropon hbv̗vf
	 * @param x hbvʒuX
	 * @param y hbvʒuY
	 */
	function acceptPortlet(dragWidget, dropon, x, y) {
		if (!portlet_pane || !portlet_pane.selected) {
<%--
imPortal.debug("[acceptPortlet][Error] at 'portlet_pane' or 'portlet_pane.selected' is not found : " + portlet_pane);
--%>
			return;
		}

		// hbOꂽ^u
		var offset = Position.cumulativeOffset(dropon);
		var dropTab;
		for (var i=0; i<tab_pane.getWidgetCount(); i++) {
			var w = tab_pane.getWidget(i).getElement();
			if (Position.within(w, x, y)) {
				dropTab = w;
				break;
			}
		}

		if (!dropTab) {
<%--
imPortal.debug("[acceptPortlet][Error]at : Tab object not found :" + dropon.id);
--%>
			return;
		}

		// ύXȂ
		if (tab_pane.activePortal == dropTab.id) {
			dragWidget.nextPortalCd = null;
		} else {
			dragWidget.nextPortalCd = dropTab.id;
		}

	}

	/**
	 * |[gbgyC̃hbOCxgJn
	 * @param portalCd |[^R[h
	 */
	function startDraggablePortletPane(portalCd) {

		var pane = portlet_panes[portalCd];
		if (pane) {
			portlet_pane = pane;
			portlet_pane.updateColumns();
			return;
		}

		// Ώۃ|[^GA
		var widgetCols = new Array();
		for (var i=0; ; i++) {
			var widget_col_key = "widget_col_" + portalCd + "_" + (i+1);
			var widgetCol = $(widget_col_key);
			if (widgetCol) {
				widgetCols[i] = widgetCol;
			} else {
				break;
			}
		}

		var isGlobal = document.portalControlForm.isGlobal.value == "true";
		var isConfig = document.portalControlForm.isConfig.value == "true";
		var isManager = document.portalControlForm.isManager.value == "true";
		var updatable = (!isConfig && (!isGlobal || isManager));

		// Ώۃ|[^GAhbOCxgJn
		portlet_pane = new imPortal.Portal(widgetCols, {
			onUpdate: (updatable ? onUpdate_portal : onResizePortal), // hbO
//			removeEffect: Effect.Grow, // 폜̉ʌ gpĂȂ
			ghostClassName: "widget_ghost", // Ghostiړgj̃X^C
			draggableClassName: "widget_draggable", // hbOΏہi^Cgo[j̒ǉX^C
			disabled: !tabList[portalCd].isEditable, // hbv hbO͉\AhbvĂɖ߂
			url: (updatable ? document.portalPortletUpdateForm.action : null), // hbOAjaxMURL
			layout: new imPortal.LayoutManager(tabList[portalCd].layout), //LayoutManager
			onResponse:onResponseUpdatePortal //AjaxM̃R[obN֐
			});
		tabList[portalCd].portal = portlet_panes[portalCd] = portlet_pane;

		// |[gbg̓o^
		var options = {
			onChangeStatus: onResizePortlet,
			onRemove: onRemovePortlet,
			maxHeight: document.portalControlForm.portletMaxHeight.value,
			minHeight: document.portalControlForm.portletMinHeight.value
		};
		for (var i=0; i<widgetCols.length; i++) {
			var portletList = widgetCols[i].childNodes;
			for (var j=0; j<portletList.length; j++) {
				if (portletList[j].className == "widget") {
					portlet_pane.add(new imPortal.Portlet(portletList[j].id, options), i);
				}
			}
		}
	}

	/**
	 * ^ũANeBu
	 * @param portalCd ANeBu^ũ|[^R[h
	 * "" ̏ꍇAhbO
	 */
	function activateTabPane(portalCd) {

		var tab_pane_key = "tab_pane1";
		var tabColumn = $(tab_pane_key);
		if (tabColumn) {

			var count = tabColumn.childNodes.length;
			for (var i=0; i<count; i++) {
				var tab = tabColumn.childNodes[i];
				var id = tab.id;
				if (!id) {
					continue;
				}

				if (id == portalCd) {
					var nextTag = $(id).next() || null;
					$("header_" + id).className = "skin_tab_down_back";
					if (!nextTag || nextTag.tagName != "DIV") {
						// E[
						$("right_" + id).className = "skin_tab_down_right";
					} else {
						// E[ȊO
						$("right_" + id).className = "skin_tab_down_right2";
					}
					$("page_" + id).show();

					// j[{^
					var e = $("menu_icon_" + id);
					if (e) $(e).setStyle({visibility:"visible"});
				} else if (id == "draggable_ghost") {
				} else {
					var nextTag = $(id).next() || null;
					$("header_" + id).className = "skin_tab_default_back";
					if (!nextTag || nextTag.tagName != "DIV" || nextTag.id == "draggable_ghost") {
						// E[ or EhbOVhȄꍇ
						$("right_" + id).className = "skin_tab_default_right";
					} else if (portalCd && nextTag.id == portalCd) {
						// EI
						$("right_" + id).className = "skin_tab_default_right3";
					} else {
						// ȊO
						$("right_" + id).className = "skin_tab_default_right2";
					}
					$("page_" + id).hide();
				}
			}

		} else {
			$("page_" + portalCd).show();
		}
	}

	/**
	 * ^uANeBuꍇigpj
	 * @param portalCd |[^R[h
	 */
	function onTabActivate(portalCd) {
		if (!tab_pane || tab_pane.activePortal != portalCd) {
			activateTabPane(portalCd);
			startDraggablePortletPane(portalCd);
			tab_pane.activePortal = portalCd;
		}
	}

	/**
	 * ^uNbNꍇ
	 * @param portalCd |[^R[h
	 */
	function onTabMouseDown(portalCd) {
		if (tab_pane && tab_pane.activePortal != portalCd) {
			tab_pane.setDraggable(tab_pane.activePortal, false);
			// T[oM
			tab_pane.activePortal = portalCd;
		}
		refreshSubmit(false);
	}

	/**
	 * ^ũhbOJn
	 */
	function onTabPaneStartDrag(draggable, event) {
//		activateTabPane();
		// E[
		$("right_" + draggable.element.id).className = "skin_tab_down_right";
		// ^u}EX̓ɒǐ
		Event.observe(document.body, "mousemove", tab_pane.onMouseMove);
	}

	/**
	 * ^uhbOĈړꂽꍇihbOj
	 */
	function onTabPaneChange(currentPortal) {
		if (tab_pane.selected) {
			activateTabPane();
		}
	}

	/**
	 * ^uhbOĈړꂽꍇihbOj
	 */
	function onTabPaneUpdate(currentPortal, dragWidget, isChanged) {

		Event.stopObserving(document.body, "mousemove", tab_pane.onMouseMove);

		var portalCd = "";
		if (tab_pane.selected) {
			// \XV
			activateTabPane(tab_pane.selected.id);
		}

		var tab_pane_key = "tab_pane1";
		var count = $(tab_pane_key).childNodes.length;
		for (var i=0; i < count; i++) {
			var tab = $(tab_pane_key).childNodes[i];
			if (!tab.id) {
				continue;
			}
			portalCd += "portalCd=" + tab.id + "&";
		}
		portalCd += "actionId=" + "update"  + "&currentPortalCd=" + tab_pane.activePortal + "&portal_kind=" + document.portalControlForm.portalKind.value;

		// NGXgMi񓯊ʐMj
		var url = document.portalPortalUpdateForm.action + "?" + portalCd;
		if (im_portal_online) ImAjax.requestAsyncSend(url, null, callBackTabDragged, "post");
	}

	/**
	 * |[gbghbOĈړꂽꍇihbOj
	 */
	function onUpdate_portal(currentPortal, dragWidget, isChanged) {
		// Mp[^
		var param = "";
		var portalCd = tab_pane ? tab_pane.activePortal : document.portalControlForm.portalCd.value;
		var portalKind = document.portalControlForm.portalKind.value;
		param = param + "portal_kind=" + portalKind;
		if (dragWidget.nextPortalCd && dragWidget.nextPortalCd != tab_pane.activePortal
				&& !dragWidget.except) {
			if (tabList[dragWidget.nextPortalCd].isEditable) {
				// ړ悪ҏW
				// ړ^Rs[|[gbgR[h
				param = param + "&portletCd=" + dragWidget.id ;
				// ړ^Rs[|[^R[h
				param = param + "&portalCd=" + dragWidget.nextPortalCd;
				param = param + "&actionId=copy_portlet";
				if (tabList[tab_pane.activePortal].isEditable
						&& tabList[tab_pane.activePortal].owner == tabList[dragWidget.nextPortalCd].owner) {
					// ړҏWł΁A^uړ
					// ړ^Rs[|[^R[h
					param = param + "&motoPortalCd=" + portalCd;
					portlet_pane.sendRequest(param);
					portlet_pane.remove(dragWidget.widget);
				} else {
					// ړҏWsł΁A^uRs[
					portlet_pane.sendRequest(param);
				}
			}
		} else if (isChanged) {
			// y[Wړ
			param = param + "&actionId=update_portlet";
			param = param + "&portalCd=" + portalCd;
			portlet_pane.sendRequest(param);
		}
			
		if (window.sliders) window.sliders.setPosition();

		portlet_pane.selected = null;
		dragWidget.nextPortalCd = null;
		dragWidget.except = null;
	}

    /**
     * R[obN֐@|[gbghbOpiim_portal.jsŗpj
     */
	function onResponseUpdatePortal(data,contentType){
		//portal_result.jsp̃f[^擾
		xml_doc = data;
		var messageObj = xml_doc.documentElement.getElementsByTagName("message");
		var messageStr = "";
		//message^Oɒlꍇ̏
		if(messageObj[0].hasChildNodes()){
			messageObj[0].normalize();
			messageStr = messageObj[0].childNodes[0].nodeValue;
		}
		if(messageStr){
			//G[bZ[W\
			alert(messageStr);
			
		}
	}

     /**
      * R[obN֐
      */
    function callBackTabDragged(result) {
        if(result.error == true){
//          alert(result.message);
        }
    }

// ReLXgj[ ---------------------------------------------------
	/**
	 * |[^j[\
	 * @param portalCode |[^R[h
	 * @param portalKind |[^
	 */
	function onClickPortalMenu(portalCode, portalKind) {
		if (tabList[portalCode]) {
//			activateTabPane(portalCode);
			var e = arguments.callee.caller.arguments[0]; // FireFox
			showPortalContextMenu(e, "portal", portalCode);
		}
	}

	/**
	 * |[gbgACRNbNxg
	 * @param portletCode |[gbgR[h
	 */
	function showPortletContextMenu(portletCode){
		var e = arguments.callee.caller.arguments[0]; // FireFox
		showPortalContextMenu(e, "portlet", portletCode);
	}

// ANV -------------------------------------------------------------

	/**
	 * ŐV\
	 * @param flag LbVNA^Ȃ
	 */
	function refreshSubmit(flag) {
		var portalCd = document.portalControlForm.portalCd.value;
		var portalKind = document.portalControlForm.portalKind.value;
		var isConfig = document.portalControlForm.isConfig.value == "true";
	
		if(isConfig){
			document.portalRefreshConfigForm["<%= DriverConstants.PORTAL_CD_KEY %>"].value = tab_pane ? tab_pane.activePortal : portalCd;
			document.portalRefreshConfigForm["<%= DriverConstants.PORTAL_KIND_KEY %>"].value = portalKind ;
			document.portalRefreshConfigForm["<%= DriverConstants.CACHE_CLEAR_PARAM_KEY %>"].value = flag;
			document.portalRefreshConfigForm.submit();
		}else{
			document.portalRefreshForm["<%= DriverConstants.PORTAL_CD_KEY %>"].value = tab_pane ? tab_pane.activePortal : portalCd;
			document.portalRefreshForm["<%= DriverConstants.PORTAL_KIND_KEY %>"].value = portalKind ;
			document.portalRefreshForm["<%= DriverConstants.CACHE_CLEAR_PARAM_KEY %>"].value = flag;
			document.portalRefreshForm.submit();
		}
	}

	/**
	 * Sčŏ
	 * @param flag ŏ^
	 */
	function minimizeAll(flag) {
		var portalCd = document.portalControlForm.portalCd.value;
		var portalKind = document.portalControlForm.portalKind.value;

		document.portalRefreshForm["<%= DriverConstants.PORTAL_CD_KEY %>"].value = tab_pane ? tab_pane.activePortal : portalCd;
		document.portalRefreshForm["<%= DriverConstants.PORTAL_KIND_KEY %>"].value = portalKind ;
		document.portalRefreshForm["<%= DriverConstants.CACHE_CLEAR_PARAM_KEY %>"].value = false;
		if (flag) {
			document.portalRefreshForm["<%= DriverConstants.MINIMIZE_ALL_KEY %>"].value = "minimize";
		} else {
			document.portalRefreshForm["<%= DriverConstants.MINIMIZE_ALL_KEY %>"].value = "unminimize";
		}
		document.portalRefreshForm.submit();
	}

	/**
	 * ő剻Eŏ(Ajax)
	 */
	function changePortletWindowState(obj, portletCd, state, action, restore) {
		if (action) {
			var widget = portlet_pane.getWidget(portletCd);
			widget.options.stateUrl = action;
			widget.options.restoreStateUrl = restore;
		}
		if (state == "MINIMIZE") {
			portlet_pane.minimize(portletCd);
			onResizePortal();
		} else if (state == "MAXIMIZE") {
			portlet_pane.maximize(portletCd);
		}
	}

	/**
	 * ő剻Eŏ{^̃LbV
	 */
	var im_portal_imgCache;
	function initImageCache() {
		im_portal_imgCache = {
			"maximum" : {
				src: "images/portal/unmaximize_button.gif",
				alt: "<imart:message id="portlet.unmaximize" />",
				title: "<imart:message id="portlet.unmaximize" />"
			},
			"minimum" : {
				src: "images/portal/unminimize_button.gif",
				alt: "<imart:message id="portlet.unminimize" />",
				title: "<imart:message id="portlet.unminimize" />"
			},
			"normal.maximum" : {
				src: "images/portal/maximize_button.gif",
				alt: "<imart:message id="portlet.maximize" />",
				title: "<imart:message id="portlet.maximize" />"
			},
			"normal.minimum" : {
				src: "images/portal/minimize_button.gif",
				alt: "<imart:message id="portlet.minimize" />",
				title: "<imart:message id="portlet.minimize" />"
			}
		};
		for (var key in im_portal_imgCache) {
			im_portal_imgCache[key].img = new Image();
			im_portal_imgCache[key].img.src = im_portal_imgCache[key].src;
		}
	}

	/**
	 * {^IMG^O̍XV
	 */
	function setButton(button, key) {
		button.src = im_portal_imgCache[key].img.src;
		button.alt = im_portal_imgCache[key].alt;
		button.title = im_portal_imgCache[key].title;
	}

	/**
	 * {^IMG^O̍XV
	 */
	function changeButtonStatus(id, status) {
		var maxButton = $("maximize_button_" + id);
		var minButton = $("minimize_button_" + id);
		if (status == "normal") {
			//ő剻ialt,titlej
			setButton(maxButton, "normal.maximum");
			//ŏialt,titlej
			setButton(minButton, "normal.minimum");
		} else if (status == "maximum") {
			//ő剻ialt,titlej
			setButton(maxButton, "maximum");
			//ŏialt,titlej
			setButton(minButton, "normal.minimum");
		} else if (status == "minimum") {
			//ő剻ialt,titlej
			setButton(maxButton, "normal.maximum");
			//ŏialt,titlej
			setButton(minButton, "minimum");
		}
	}

	/**
	 * ő剻EŏCxg
	 * {^C[WύX
	 */
	function onResizePortlet(widget, from, to) {
		var sliderStatus = false;
		changeButtonStatus(widget.getId(), to);
		var url = (to == "normal") ? widget.options.restoreStateUrl : widget.options.stateUrl;
		widget.options.stateUrl = undefined;
		widget.options.restoreStateUrl = undefined;
		if (to == "normal") {
			widget.getTitle().addClassName("widget_draggable");
			sliderStatus = true;
		} else if (to == "maximum") {
			widget.getTitle().removeClassName("widget_draggable");
			sliderStatus = false;
			window.scroll(0, 0);
		} else if (to == "minimum") {
			widget.getTitle().addClassName("widget_draggable");
			sliderStatus = true;
		} else {
			return;
		}
		if (url && im_portal_online) ImAjax.requestAsyncSend(url, null, function(){});
		if (window.sliders) window.sliders.setStatus(sliderStatus);
	}

	/**
	 * |[gbg̍폜
	 * @param portletCode |[gbgR[h
	 * @param action ActionURL
	 */
	function removePortlet(portletCode, action){
		//xh~
		if (isDoubleClick(portletCode)) return;
		//xh~tOtrueZbg
		im_portal_processing[portletCode] = true;
		var widget = portlet_pane.getWidget(portletCode);
		if(widget && "maximum" != widget.options.status) {
		  widget.options.removeUrl = action;
		  portlet_pane.remove(widget);
	    } else {
      	  document.portalDeleteRefreshForm.action = action;
	      document.portalDeleteRefreshForm.submit();
		}
	}

	/**
	 * |[gbg̍폜Cxg
	 * @param id |[gbgR[h
	 * @param widget |[gbgIuWFNg
	 */
	function onRemovePortlet(id, widget){
		if (widget.options.removeUrl && im_portal_online) {
			// M
			ImAjax.requestAsyncSend(widget.options.removeUrl, null, function(res) {
				// Redirect
				if (res.data.match(/action="([^"]+)/)) ImAjax.requestAsyncSend(RegExp.$1.replace(/&amp;/g, "&"), null, function(){
					im_portal_processing[id] = false;
				});
			}, "POST");
			widget.options.removeUrl = undefined;
		} else {
			im_portal_processing[id] = false;
		}
	}

	/**
	 * EventɏsB
	 * "Sčŏ"{^LB
	 */
	function captureEvent(e) {
		var src = Event.element(e);
		if (src.tagName == "A") {
			// TextNbN
			src = $(src).immediateDescendants().find(function(value, index) {return value.tagName == "IMG"});
		}
		//null`FbN
		if(!src){
			return;
		}
		if (src.tagName == "IMG" && src.src) {
			// ButtonNbN
			if (src.src.match("all_minimize_button.gif$")
					|| src.src.match("all_minimize_button_small.gif$")) {
				minimizeAll(true);
			} else if (src.src.match("all_unminimize_button.gif$")
					|| src.src.match("all_unminimize_button_small.gif$")) {
				minimizeAll(false);
			}
		}
	}

	function blockEvent(e) {
		captureEvent(e);
		Event.stop(e);
	}
	
	
	//ꗗ֖߂eventp
	function backFormSubmit(){
		document.backForm.submit();
	}

// XC_ -------------------------------------------------------------

	/**
	 * 񕝏̍XV
	 */
	function onUpdateSliderPositions(value) {
		//
		var arryStr = portlet_pane.getColumns();
		//arrstringɕϊu
		var width=arryStr.join().replace(/%/g,"");
		
		//񓯊ʐM
		var portalSetColumnWidthFormValues =
			"portalCd="+ document.portalControlForm.portalCd.value +
			"&isGlobal="+ document.portalControlForm.isGlobal.value +
			"&width="+ width;
		var url = document.PortalSetColumnWidthForm.action+ "?" + portalSetColumnWidthFormValues;
		if (im_portal_online) ImAjax.requestAsyncSend(url, null, callBackSetColumnWidth, "post");
		
	}
    
	/**
	 * R[obN֐i񕝏pj
	 */
	function callBackSetColumnWidth(result) {
		if(result.error == true){
//			alert(result.message);
		}
	}

	/**
	 * ʃTCYύXA|[gbg̈撲ƃXC_̈ʒu
	 */
	function onResizePortal(e) {
		if (portlet_pane) { 
			portlet_pane.updateAllColumns(); 
		}
		if (window.sliders) {
			window.sliders.onResize();
		}
	}

	/**
	 * ̂Q
	 */
	function initializePortal() {
<%--
imPortal.debug("[initializePortal] start", true);
--%>
		if (portlet_pane) {
			portlet_pane.initRows();
			portlet_pane.updateAllColumns();
			onResizePortal();
			<c:if test="${isSetMaximize}">
			changePortletWindowState(null, portlet_pane.getWidget(0).getId(), "MAXIMIZE");
			</c:if>

			portlet_pane.fireOnReady();
		}
	}

</script>

</head>
<c:set var='need_refresh' value='${param["im_portal.refresh"] == true && requestScope["im_portal.exception"] == null}'/>
<c:if test="${need_refresh}">
<body onLoad="refreshSubmit(false)" style="display:none">
</c:if>
<c:if test="${need_refresh == false}">
<body onLoad="initialize()">
</c:if>
<div id="shadow_slider" class="portal_slider_shadow" style="display:none;"></div>
<!-- Rg[tH[ -->
<form name="portalControlForm">
  <input type="hidden" name="portalCd" value="<%= HTMLEncoder.escapeHtmlValue(portal.getPortalCd()) %>"/>
  <input type="hidden" name="portalKind" value="<%= HTMLEncoder.escapeHtmlValue(portal.getPortalKind()) %>"/>
  <input type="hidden" name="isGlobal" value="${isGlobal}"/>
  <input type="hidden" name="isConfig" value="${isConfig}"/>
  <input type="hidden" name="isManager" value="${isManager}"/>
  <input type="hidden" name="isMaximized" value="${isMaximized}"/>
  <input type="hidden" name="portletMaxHeight" value="<%= HTMLEncoder.escapeHtmlValue(portal.getPortletMaxHeight()) %>"/>
  <input type="hidden" name="portletMinHeight" value="<%= HTMLEncoder.escapeHtmlValue(portal.getPortletMinHeight()) %>"/>
</form>

<!-- ŐV\ -->
<Form name="portalRefreshForm" action="<%= HTMLEncoder.escapeHtmlValue(Tools.getPortalUrl()) %>" method="post">
  <input type="hidden" name="<%= DriverConstants.PORTAL_CD_KEY %>" value="">
  <input type="hidden" name="<%= DriverConstants.PORTAL_KIND_KEY %>" value="">
  <input type="hidden" name="<%= DriverConstants.CACHE_CLEAR_PARAM_KEY %>" value="">
  <input type="hidden" name="<%= DriverConstants.MINIMIZE_ALL_KEY %>" value="">
</Form>

<!-- ő剻̍폜tbV\ -->
<Form name="portalDeleteRefreshForm" action="" method="post">
</Form>	

<script type="text/javascript">
	// onClick ̖
	Event.observe(document.body, "click", blockEvent);
	Event.observe(window, "resize", onResizePortal);
</script>

<%-- GlobalPortal Menu Start --%>
<c:if test="${isGlobal && isManager}">
<imarttag:imartTitleBar
	title="<%=globaltitle%>" />
<imarttag:imartToolbarFrame>
	<!-- j[ -->
	<imarttag:imartToolbarLeft>
		<imarttag:imartIcon
			name="<%=portletAddin%>"
			icon="images/standard/new.gif"
			href="javascript:onMovetoPortlet(document.portalControlForm.portalCd.value,document.portalControlForm.portalKind.value)"/>
		<imart:condition validity="<%= String.valueOf(portal.isEmpty()) %>" negative="true">
		<imarttag:imartIcon
			name="<%=portalEdit%>"
			icon="images/standard/edit.gif"
			href="javascript:onMovetoPortalEdit(document.portalControlForm.portalCd.value,document.portalControlForm.portalKind.value)"/> 
		<imarttag:imartIcon
			name="<%=portalDel%>"
			icon="images/standard/delete.gif"
			href="javascript:onDeletePortal(document.portalControlForm.portalCd.value,document.portalControlForm.portalKind.value)"/> 
		</imart:condition>
		<imart:condition validity="<%= String.valueOf(portal.isEmpty()) %>">
		<imarttag:imartIcon
			name="<%=portalEdit%>"
			icon="images/standard/edit.gif"
			href="javascript:onMovetoPortal(document.portalControlForm.portalCd.value,document.portalControlForm.portalKind.value)"/> 
		</imart:condition>
	</imarttag:imartToolbarLeft>
	
	<!-- Sčŏ/ŐV -->
	<imarttag:imartToolbarRight>
		<imart:condition validity="<%= portal.isMinimizeAll() %>" negative="true">
			<imarttag:imartIcon
			name="<%= allMinimize%>"
			icon="images/portal/all_minimize_button_small.gif"
			href="javascript:minimizeAll(true)" />
		</imart:condition>
		<imart:condition validity="<%= portal.isMinimizeAll() %>">
			<imarttag:imartIcon
			name="<%= allUnMinimize%>"
			icon="images/portal/all_unminimize_button_small.gif"
			href="javascript:minimizeAll(false)" />
		</imart:condition>
		<imarttag:imartIcon
			name="<%= captionRefresh%>"
			icon="images/standard/refresh.gif"
			href="javascript:refreshSubmit(true)" />
	</imarttag:imartToolbarRight>
</imarttag:imartToolbarFrame>

</c:if>
<%-- GlobalPortal Menu End --%>

<%-- ConfigPortal Menu Start --%>
<c:if test="${isConfig && isManager}">

<!-- ŐV\iݒ胂[hpj -->
<Form name="portalRefreshConfigForm" action="<%= HTMLEncoder.escapeHtmlValue(Tools.getPortalUrl()) %>" method="post">
  <input type="hidden" name="<%= DriverConstants.PORTAL_CD_KEY %>" value="">
  <input type="hidden" name="<%= DriverConstants.PORTAL_KIND_KEY %>" value="">
  <input type="hidden" name="<%= DriverConstants.CACHE_CLEAR_PARAM_KEY %>" value="">
  <input type="hidden" name="<%= DriverConstants.MINIMIZE_ALL_KEY %>" value="">
  <input type="hidden" value="<%= HTMLEncoder.escapeHtmlValue(portal.getPcPortletId()) %>" name="<%= WindowInvokerConstants.PORTLET_WINDOW_KEY %>">
  <input type="hidden" value="<%= WindowInvokerConstants.RENDER %>" name="<%= WindowInvokerConstants.DRIVER_ACTION %>">
  <input type="hidden" value="<%= HTMLEncoder.escapeHtmlValue(portal.getPortletMode()) %>" name="<%= WindowInvokerConstants.PORTLET_WINDOW_MODE_KEY %>">
  <input type="hidden" name="orderFlag" value="<%=HTMLEncoder.escapeHtmlValue(portal.getOrderFlag())%>"> 
  <input type="hidden" name="sortField" value="<%=HTMLEncoder.escapeHtmlValue(portal.getField())%>">
  <input type="hidden" name="currentPage" value="<%=HTMLEncoder.escapeHtmlValue(portal.getCurrentPage())%>">
  <input type="hidden" name="searchKey1" value="<%=HTMLEncoder.escapeHtmlValue(portal.getSearchKey1())%>">
<%
	String refHiddenSearchKey2 = portal.getSearchKey2();
	if(refHiddenSearchKey2!=null){
		refHiddenSearchKey2 = HTMLEncoder.escapeHtmlValue(refHiddenSearchKey2);
	}
%>
  <input type="hidden" name="searchKey2" value="<%=refHiddenSearchKey2%>">
</Form>

<script type="text/javascript">
	Event.observe(window, "load", function() {if (portlet_pane) portlet_pane.setDisableForms('<imart:message id="portal_display.portlet_preview.warning" />');});
</script>
	<c:choose>
		<c:when test="${portletMode != 'CONFIG'}">
			<!--|[gbgvr[^Cg-->
			<imarttag:imartTitleBar
				title="<%= previewtitle %>" />
		</c:when>
		<c:when test="${portletMode == 'CONFIG'}">	
			<!--ݒ|[^^Cg-->
			<imarttag:imartTitleBar
				title="<%= configtitle %>" />
		</c:when>
	</c:choose>
	<imarttag:imartToolbarFrame>
	<!-- ߂ -->
	<imarttag:imartToolbarLeft>
		<imarttag:imartIcon
			name="<%=viewBack%>"
			icon="images/standard/arrow_left.gif"
			href="javascript:backFormSubmit()"/>
	</imarttag:imartToolbarLeft>
	
	<!-- ŐV -->
	<imarttag:imartToolbarRight>
		<imarttag:imartIcon
			name="<%= captionRefresh%>"
			icon="images/standard/refresh.gif"
			href="javascript:refreshSubmit(true)" />
	</imarttag:imartToolbarRight>
</imarttag:imartToolbarFrame>
</c:if>
<%-- ConfigPortal Menu End --%>

<%@include file="portlet_error.jsp" %>

<%-- Tab Area Start --%>
<c:if test="${!isGlobal && !isConfig}">
  <center>
  <table width="100%" border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td>
		<div id="tab_pane1" class="tab_pane">

		<c:forEach var='tab' items='${daoPortal}' varStatus="status">
			<c:set var='curPortalCd' value="${tab.portalCd}"/>
		<div id='<c:out value="${curPortalCd}"/>' class="portal_tab" onSelectStart="return false;" onMouseDown="return false;" style="-moz-user-select: none; -khtml-user-select: none; user-select: none;">
			<table border="0" cellspacing="0" cellpadding="0">
			  <tr>
				<td id='header_<c:out value="${curPortalCd}"/>' class="skin_tab_default_back" nowrap>
					<a class="tablink" href="javascript:onTabMouseDown('<c:out value="${curPortalCd}"/>')"><span id="marker_<c:out value='${curPortalCd}'/>"></span><c:if test='${tab.title=="" || tab.title==null }'><%= blankView %></c:if><c:out value="${tab.title}"/></a>
					<c:if test="${curPortalCd == requestScope.portal_cd}"><%-- Active --%>
						<c:if test="${isGroup || tab.editable}"><%-- Group Admin | Editable --%>
						
						<c:set var="isEditable" value="${tab.editable}"/>
						<c:set var="isOwner" value="${tab.owner}"/>	
						
						<img id="menu_icon_<c:out value='${curPortalCd}'/>" src="images/standard/down.gif" align="absmiddle" border="0" class="portal_context_menu_icon" style="visibility:hidden;"
							onclick="onClickPortalMenu('<c:out value="${curPortalCd}"/>', '${tab.portalKind}');" onmouseout="setPortalContextMenuTimeout()">
						</c:if>
					</c:if>
				</td>
				<td id='right_<c:out value="${curPortalCd}"/>' class="<c:if test='${!status.last}'>skin_tab_default_right2</c:if><c:if test='${status.last}'>skin_tab_default_right</c:if>"></td>
			  </tr>

			</table>
		</div>
		</c:forEach>
			
			<%-- O[vǗ b [UҏW --%>
			<% if (portal.isLoginGroupManager() || PortalAccessManager.isEditable()) { %>
			<c:if test="${portal.portalCd != EMPTY_PORTAL_CD}">
			<!-- ^u̒ǉj[ -->
			<table border="0" cellpadding="0" cellspacing="0" height="26" align="left">
				<tr valign="middle">
					<td><a href="javascript:onMovetoPortal(document.portalControlForm.portalCd.value,document.portalControlForm.portalKind.value)" ><div class="skin_arrow_mark"><%= portalAddin%></div></a></td>
				</tr>
			</table>
			</c:if>
			<% } %>

		</div>
		</td>
		<td align="right" nowrap>
			<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td nowrap>
						<imart:condition validity="<%= portal.isMinimizeAll() %>" negative="true">
						<a href="javascript:minimizeAll(true);"><img src="images/portal/all_minimize_button.gif" border="0" alt="<%= allMinimize %>" title="<%= allMinimize %>" align="absmiddle"></a>
						</imart:condition>
						<imart:condition validity="<%= portal.isMinimizeAll() %>">
						<a href="javascript:minimizeAll(false);"><img src="images/portal/all_unminimize_button.gif" border="0" alt="<%= allUnMinimize %>" title="<%= allUnMinimize %>" align="absmiddle"></a>
						</imart:condition>
						<a href="javascript:refreshSubmit(true);"><img src="images/portal/portal_refresh.gif" border="0" alt="<%= captionRefresh %>" title="<%= captionRefresh %>" align="absmiddle"></a>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td colspan="2" class="skin_tab_line"><img src="images/spacer.gif" width="100" height="4"></td>
	</tr>
  </table>
  </center>
</c:if>
<%-- Tab Area End --%>

<%-- Include Header Start --%>
<c:if test="${portal.header != null}">
	<jsp:include page="${portal.header}" flush="true"/>
</c:if>
<%-- Include Header End --%>

<%-- Portlet Area Start --%>
<c:forEach var='currentPortal' items='${daoPortal}' varStatus="status">
<c:set var='widget_col_class' value='<%= portal.getWidgetColClasses(pageContext, "currentPortal") %>' />

<div class="portal_page" id='page_${currentPortal.portalCd}' style="display:none;">
<c:if test="${!need_refresh && currentPortal.portalCd == requestScope.portal_cd}">

	  	<c:set var="columnList" value="${currentPortal.portletLayoutList}"/>
          	<c:choose>
          	<c:when test="${isMaximized && !isConfig && currentPortal.portalCd == requestScope.portal_cd}">
 				<div id='widget_col_<c:out value="${currentPortal.portalCd}"/>' class='widget_maximized'>
	          		<c:set var="portlet" value="${portletData[param[PORTLET_WINDOW_KEY]]}"/>
	          		<c:if test="${portlet != null}">
			      	<%@include file="/portal/portal/portlet.jsp"%>
			      	</c:if>
 				</div>
          	</c:when>
          	<c:otherwise>
          	<c:forEach items="${columnList}" var="portletList" varStatus="status">
          		<c:if test="${!status.last}"><div id="slider_control_${status.count}" class="portal_slider"></div></c:if>
				<div id='widget_col_<c:out value="${currentPortal.portalCd}"/>_${status.count}' class='<c:out value="${widget_col_class[status.count - 1]}"/>'><span></span>
	          		<c:forEach items="${portletList}" var="portletModel">
	          		<c:set var="portlet" value="${portletData[portletModel.portletDispCd]}"/>
			      	<%@include file="/portal/portal/portlet.jsp"%>
    	      		</c:forEach>
 				</div>
          	</c:forEach>
          	</c:otherwise>
          	</c:choose>

</c:if>
 </div>
</c:forEach>
<%-- Portlet Area End --%>

<%-- Include Footer Start --%>
<c:if test="${portal.footer != null}">
	<jsp:include page="${portal.footer}" flush="true"/>
</c:if>
<%-- Include Footer End --%>

<%-- Portlet Context Menu Start --%>
<c:if test="${!isConfig}">
<jsp:include page="/portal/portal/menu/portal_context_menu.jsp" flush="true">
  <jsp:param name="portal_cd" value="<%= HTMLEncoder.escapeHtmlValue(portal.getPortalCd()) %>"/>
  <jsp:param name="portalKind" value="<%= HTMLEncoder.escapeHtmlValue(portal.getPortalKind()) %>"/>
  <jsp:param name="isGlobal" value="${isGlobal}"/>
  <jsp:param name="isManager" value="${isManager}"/>  
  <jsp:param name="isMaximized" value="${isMaximized}"/>
  <jsp:param name="isEditable" value="${isManager || isOwner==portalUserId || isEditable}"/>
</jsp:include>
</c:if>
<%-- Portlet Context Menu End --%>

<imj2ee:Form name="portalPortalUpdateForm" application="portal" service="portal_update" method="post"> 
  <input type="hidden" name="actionId" value="update">
</imj2ee:Form>

<imj2ee:Form name="portalPortletUpdateForm" application="portal" service="portal_update" method="post"> 
  <input type="hidden" name="actionId" value="update_portlet">
</imj2ee:Form>

<imj2ee:Form name="PortalSetColumnWidthForm" application="portal" service="portal_column_width" method="post">
	<input type="hidden" name="portalCd" value=""/>
	<input type="hidden" name="width" value=""/>
	<input type="hidden" name="isGlobal" value=""/>
</imj2ee:Form>
<%
	String backHiddenSearchKey2 = portal.getSearchKey2();
	if(backHiddenSearchKey2!=null){
		backHiddenSearchKey2 = HTMLEncoder.escapeHtmlValue(backHiddenSearchKey2);
	}
%>
<imj2ee:Form name="backForm" application="portal" service="portlet_page_index" method="post">
	<input type="hidden" name="orderFlag" value="<%=HTMLEncoder.escapeHtmlValue(portal.getOrderFlag())%>"> 
	<input type="hidden" name="sortField" value="<%=HTMLEncoder.escapeHtmlValue(portal.getField())%>">
	<input type="hidden" name="currentPage" value="<%=HTMLEncoder.escapeHtmlValue(portal.getCurrentPage())%>">
	<input type="hidden" name="searchKey1" value="<%=HTMLEncoder.escapeHtmlValue(portal.getSearchKey1())%>">
	<input type="hidden" name="searchKey2" value="<%=backHiddenSearchKey2%>">
</imj2ee:Form>
</body>
</html>
